<?php
/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2015, Ebenezer Obasi
 * All rights reserved.
 * info@eobai.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

class contactpro_CTRL_Admin extends ADMIN_CTRL_Abstract
{
	public function settings()
	{
		$lang = OW::getLanguage();
		
		$this->setPageTitle($lang->text('contactpro', 'admin_page_title'));
		$this->setPageHeading($lang->text('contactpro', 'admin_page_heading'));
		$this->setPageHeadingIconClass('ow_ic_mail');
		
		$form = new Form('contactpro_settings');
		
		$fieldTheme = new Selectbox('theme');
		$fieldTheme->setLabel($lang->text('contactpro', 'theme_label'));
		$fieldTheme->setDescription($lang->text('contactpro', 'theme_desc'));
		$fieldTheme->setOptions(array('light' => $lang->text('contactpro', 'admin_option_light'), 'dark' => $lang->text('contactpro', 'admin_option_dark')));
		$form->addElement($fieldTheme);
		
		$fieldSender = new TextField('sender');
        $fieldSender->setLabel($lang->text("contactpro", "sender_label"));
        $fieldSender->setHasInvitation(true);
        $fieldSender->setInvitation($lang->text('contactpro', 'sender_example'));
        $fieldSender->setDescription($lang->text('contactpro', 'sender_desc'));
		$form->addElement($fieldSender);
		
		$fieldCaptcha = new Selectbox('captcha');
		$fieldCaptcha->setLabel($lang->text('contactpro', 'captcha_label'));
		$fieldCaptcha->setDescription($lang->text('contactpro', 'captchae_desc'));
		$fieldCaptcha->setOptions(array('1' => $lang->text('contactpro', 'admin_option_enable'), '0' => $lang->text('contactpro', 'admin_option_disable')));
		$form->addElement($fieldCaptcha);
		
		$fieldAddress = new TextField('address');
        $fieldAddress->setLabel($lang->text("contactpro", "address_label"));
        $fieldAddress->setHasInvitation(true);
        $fieldAddress->setInvitation($lang->text('contactpro', 'address_example'));
        $fieldAddress->setDescription($lang->text('contactpro', 'address_desc'));
		$form->addElement($fieldAddress);
		
		$fieldPhone = new TextField('phone');
        $fieldPhone->setLabel($lang->text("contactpro", "phone_label"));
        $fieldPhone->setHasInvitation(true);
        $fieldPhone->setInvitation($lang->text('contactpro', 'phone_example'));
        $fieldPhone->setDescription($lang->text('contactpro', 'phone_desc'));
		$form->addElement($fieldPhone);
		
		$fieldEmail = new TextField('email');
        $fieldEmail->setLabel($lang->text("contactpro", "email_label"));
        $fieldEmail->setHasInvitation(true);
        $fieldEmail->setInvitation($lang->text('contactpro', 'email_example'));
        $fieldEmail->setDescription($lang->text('contactpro', 'email_desc'));
		$form->addElement($fieldEmail);
		
		$fieldFb = new TextField('fb');
        $fieldFb->setLabel($lang->text("contactpro", "fb_label"));
        $fieldFb->setHasInvitation(true);
        $fieldFb->setInvitation($lang->text('contactpro', 'fb_example'));
        $fieldFb->setDescription($lang->text('contactpro', 'fb_desc'));
		$form->addElement($fieldFb);
		
		$fieldTw = new TextField('tw');
        $fieldTw->setLabel($lang->text("contactpro", "tw_label"));
        $fieldTw->setHasInvitation(true);
        $fieldTw->setInvitation($lang->text('contactpro', 'tw_example'));
        $fieldTw->setDescription($lang->text('contactpro', 'tw_desc'));
		$form->addElement($fieldTw);
		
		$fieldGplus = new TextField('gplus');
        $fieldGplus->setLabel($lang->text("contactpro", "gplus_label"));
        $fieldGplus->setHasInvitation(true);
        $fieldGplus->setInvitation($lang->text('contactpro', 'gplus_example'));
        $fieldGplus->setDescription($lang->text('contactpro', 'gplus_desc'));
		$form->addElement($fieldGplus);
		
		$fieldPinterest = new TextField('pinterest');
        $fieldPinterest->setLabel($lang->text("contactpro", "pinterest_label"));
        $fieldPinterest->setHasInvitation(true);
        $fieldPinterest->setInvitation($lang->text('contactpro', 'pinterest_example'));
        $fieldPinterest->setDescription($lang->text('contactpro', 'pinterest_desc'));
		$form->addElement($fieldPinterest);
		
		$buttonSave = new Submit('save');
		$buttonSave->setValue($lang->text('contactpro', 'admin_button_save_value'));
		$form->addElement($buttonSave);
		
		$this->addForm($form);
		
		$config = OW::getConfig();
		
		if ( OW::getRequest()->isPost() && $form->isValid($_POST) )
		{
			$data = $form->getValues();
			
			$config->saveConfig('contactpro', 'theme', trim($data['theme']));
			$config->saveConfig('contactpro', 'sender', trim($data['sender']));
			$config->saveConfig('contactpro', 'captcha', trim($data['captcha']));
			$config->saveConfig('contactpro', 'address', trim($data['address']));
			$config->saveConfig('contactpro', 'phone', trim($data['phone']));
			$config->saveConfig('contactpro', 'email', trim($data['email']));
			$config->saveConfig('contactpro', 'fb', trim($data['fb']));
			$config->saveConfig('contactpro', 'tw', trim($data['tw']));
			$config->saveConfig('contactpro', 'gplus', trim($data['gplus']));
			$config->saveConfig('contactpro', 'pinterest', trim($data['pinterest']));
			
			OW::getFeedback()->info($lang->text('contactpro', 'admin_successfully_saved'));
			
			$this->redirect();
		}
		
		$fieldTheme->setValue($config->getValue('contactpro', 'theme'));
		$fieldSender->setValue($config->getValue('contactpro', 'sender'));
		$fieldCaptcha->setValue($config->getValue('contactpro', 'captcha'));
		$fieldAddress->setValue($config->getValue('contactpro', 'address'));
		$fieldEmail->setValue($config->getValue('contactpro', 'email'));
		$fieldPhone->setValue($config->getValue('contactpro', 'phone'));
		$fieldFb->setValue($config->getValue('contactpro', 'fb'));
		$fieldTw->setValue($config->getValue('contactpro', 'tw'));
		$fieldGplus->setValue($config->getValue('contactpro', 'gplus'));
		$fieldPinterest->setValue($config->getValue('contactpro', 'pinterest'));
		
		$this->addForm($form);
	}
}