<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2015, Ebenezer Obasi
 * All rights reserved.
 * info@eobai.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
 
 $gr = OW::getRouter();
 
$gr->addRoute(new OW_Route('contactpro_page', 'contact-us', 'CONTACTPRO_CTRL_Contact', 'index'));
$gr->addRoute(new OW_Route('contactpro_admin_settings', 'admin/plugins/contactpro/setting', 'CONTACTPRO_CTRL_Admin', 'settings'));

function contactpro_update_settings( BASE_CLASS_EventCollector $event )
{
	$config = OW::getConfig();
    if ( $config->getValue('contactpro', 'sender') == '' )
    {
        $url = OW::getRouter()->urlForRoute('contactpro_admin_settings');
        $event->add(OW::getLanguage()->text('contactpro', 'contactpro_update_settings', array('url' => $url)));
    }
}

OW::getEventManager()->bind('admin.add_admin_notification', 'contactpro_update_settings');


function contactpro_ads_enabled( BASE_CLASS_EventCollector $event )
{
    $event->add('contactpro');
}

OW::getEventManager()->bind('ads.enabled_plugins', 'contactpro_ads_enabled');

OW::getRequestHandler()->addCatchAllRequestsExclude('base.suspended_user', 'CONTACTPRO_CTRL_Contact');